Bug 862467 - [abrt] libreoffice-core-3.5.6.2-2.fc17: OOXMLFastContextHandlerMath::process killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-2.fc17: OOXMLFastContextHandlerMath::process ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:dac16f37701b9fd28fe03ce850f...
:
: 862890 914917 959057 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 22:38 EDT by Luit
Modified: 2013-05-06 03:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:23:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.32 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: environ (1.61 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: backtrace (78.56 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: maps (62.46 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: dso_list (22.47 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: open_fds (2.29 KB, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details
File: var_log_messages (323 bytes, text/plain)
2012-10-02 22:38 EDT, Luit
no flags Details

  None (edit)
Description Luit 2012-10-02 22:38:38 EDT
Version-Release number of selected component:
libreoffice-core-3.5.6.2-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer file:///run/media/luit/091107_1220/Documentos/Unitec/Fibra%20Optica/29-oct-08.doc --splash-pipe=6
crash_function: writerfilter::ooxml::OOXMLFastContextHandlerMath::process
kernel:         3.5.4-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 writerfilter::ooxml::OOXMLFastContextHandlerMath::process at /usr/src/debug/libreoffice-3.5.6.2/writerfilter/source/ooxml/OOXMLFastContextHandler.cxx
: #1 lcl_endFastElement at /usr/src/debug/libreoffice-3.5.6.2/writerfilter/source/ooxml/OOXMLFastContextHandler.cxx
: #2 writerfilter::ooxml::OOXMLFastContextHandlerLinear::lcl_endFastElement at /usr/src/debug/libreoffice-3.5.6.2/writerfilter/source/ooxml/OOXMLFastContextHandler.cxx
: #3 writerfilter::ooxml::OOXMLFastContextHandler::endFastElement at /usr/src/debug/libreoffice-3.5.6.2/writerfilter/source/ooxml/OOXMLFastContextHandler.cxx
: #4 sax_fastparser::FastSaxParser::callbackEndElement at /usr/src/debug/libreoffice-3.5.6.2/sax/source/fastparser/fastparser.cxx
: #5 doContent at lib/xmlparse.c
: #6 contentProcessor at lib/xmlparse.c
: #7 doProlog at lib/xmlparse.c
: #8 prologProcessor at lib/xmlparse.c
: #9 XML_ParseBuffer at lib/xmlparse.c
Comment 1 Luit 2012-10-02 22:38:41 EDT
Created attachment 620591 [details]
File: core_backtrace
Comment 2 Luit 2012-10-02 22:38:42 EDT
Created attachment 620592 [details]
File: environ
Comment 3 Luit 2012-10-02 22:38:44 EDT
Created attachment 620593 [details]
File: backtrace
Comment 4 Luit 2012-10-02 22:38:45 EDT
Created attachment 620594 [details]
File: limits
Comment 5 Luit 2012-10-02 22:38:47 EDT
Created attachment 620595 [details]
File: cgroup
Comment 6 Luit 2012-10-02 22:38:49 EDT
Created attachment 620596 [details]
File: maps
Comment 7 Luit 2012-10-02 22:38:51 EDT
Created attachment 620597 [details]
File: dso_list
Comment 8 Luit 2012-10-02 22:38:52 EDT
Created attachment 620598 [details]
File: open_fds
Comment 9 Luit 2012-10-02 22:38:54 EDT
Created attachment 620599 [details]
File: var_log_messages
Comment 10 Caolan McNamara 2012-10-04 07:48:30 EDT
Looks like a failure to create a embedded math object for some reason. Can you attach the document you tried to load that caused the crash.
Comment 11 Caolan McNamara 2012-10-04 07:53:14 EDT
*** Bug 862890 has been marked as a duplicate of this bug. ***
Comment 12 Caolan McNamara 2012-10-05 03:06:04 EDT
"i update fedora and the alert of bug appear. But today i open libre office and i dont have any problem"

Possibly it crashed earlier and the abrt icon only appeared after the upgrade. Or possibly it is one of the edge cases where we're running, upgraded, and then used after upgrade and an until-then-unused .so gets loaded.
Comment 13 freemanoid321 2012-11-26 03:40:37 EST
I tryed to open *.docx.

backtrace_rating: 4
Package: libreoffice-core-3.5.7.2-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 David Tardon 2012-11-26 03:44:46 EST
(In reply to comment #13)
> I tryed to open *.docx.

Could you attach the .docx file here?
Comment 15 Caolan McNamara 2013-04-16 07:20:38 EDT
*** Bug 914917 has been marked as a duplicate of this bug. ***
Comment 16 David Tardon 2013-05-06 03:43:51 EDT
*** Bug 959057 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.